<?php
// menu admin, nouvelle version
// charge le snippet/ 
$message=""; 

switch($_POST['action']){
    case "logout":
        // On détruit les variables de notre session
        session_unset();
        // On détruit notre session
        session_destroy();
        $message= "Vous êtes dé-logué !";
        break;

    case "vidercacheitems":
        supprimer_cache();
        echo '<h2 class="mb-3">Le cache a été supprimé</h2>';
        echo "<div class=''><a href='./'>Cliquez ici</a> pour recharger la page</div>";
        break;

    case "vidercachevignettes":
        supprimer_cache_images();
        echo '<h2 class="mb-3">Le cache des vignettes image a été supprimé</h2>';
        echo "<div class=''><a href='./'>Cliquez ici</a> pour recharger la page</div>";
        break;

    case "login":
        if(isset($_POST['login']) && isset($_POST['pwd'])){
            $access=new yamlReadwriter();
            $access->loadYaml(getTemplate("structure_access.yaml"));

            $message = "Erreur de login et/ou mot de passe!";
            $login=$_POST['login'];
            $mdp=md5($_POST['pwd']);
            
            $liste=glob(CONFIG."access/*.yaml");
            $ok=false;
            foreach($liste as $profile){
                $access->loadContentFromYaml($profile);
              //  echo "compare ".$mdp." et ".$access->get('mdp');
              //  echo "<hr>Compare ".$login." et ".$access->get('login');

                if($login == $access->get('login') && $mdp == $access->get('mdp')){
                    $_SESSION['id']=basename($profile);
                    $_SESSION['login'] = $login;
                    $_SESSION['nom'] = $access->get('nom');
                    $message="Okay! Vous êtes loggué!";
                    $ok=true;
                    break;
                } 
            } 
        }
        if(!$ok){
            $message = "Mot de passe ou login incorrect!";
        }
        break;
        

}


$menu_edit=array();
include(APP."snippets/menu-viewer.php");

if(!isset($_SESSION['login'])){
    include("admin-form.php");
} else {
    $snippet=getSnippetFile("menu-admin.php");
    include($snippet);
}

if($message){
    echo "<p class='color-notok text-center'>".$message."</p>";
}
?>